package com.caimei.module.base.entity.vo;

import com.caimei.module.base.entity.po.CmOrderProduct;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * Description
 *
 * @author : plf
 * @date : 2020\3\19 0019
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class OrderProductVo extends CmOrderProduct {
    /**
     * 已发货数量
     */
    private Integer shipmentsNum;

    /**
     * 已退货数量
     */
    private Integer returnedNum;

    /**
     * 已取消发货数量
     */
    private Integer actualCancelNum;

    /**
     * 内部商品名称
     */
    private String aliasName;

    /**
     * 商品的类别：1正常商品(默认)，2二手商品
     */
    private String productCategory;
}
